# % global selint_pre_ver rc

Summary: Static code analysis tool for SELinux policy source files
Name: selint
Version: 1.3.0
Release: 1%{?selint_pre_ver:.%{selint_pre_ver}}%{?dist}
URL: https://github.com/SELinuxProject/selint
License: ASL 2.0
Source0: https://github.com/SELinuxProject/selint/releases/download/v%{version}%{?selint_pre_ver:-%{selint_pre_ver}}/%{name}-%{version}%{?selint_pre_ver:-%{selint_pre_ver}}.tar.gz
# git format-patch -N v1.3.0 -- . ':!.github/workflows/main.yml' ':!selint.spec'
# i=1; for j in 00*patch; do printf "Patch%02d: %s\n" $i $j; i=$((i+1));done
Patch01: 0001-Silence-warning-in-bison-generated-code.patch
Patch02: 0002-Drop-dead-stores.patch
Patch03: 0003-Declare-file-local-variable-static.patch
Patch04: 0004-Drop-duplicate-semicolons.patch
Patch05: 0005-Add-missing-fall-through-comment.patch
Patch06: 0006-Drop-duplicate-include.patch
Patch07: 0007-Update-URLs-after-repository-move.patch
Patch08: 0008-Add-check-example-for-W-012.patch
Patch09: 0009-Add-new-check-to-warn-about-incorrect-usage-of-audit.patch
Patch10: 0010-Warn-on-duplicate-policy-configuration-files.patch
Patch11: 0011-Reduce-recursion-in-free_policy_node.patch
Patch12: 0012-Support-disable-commands-for-tunable-conditions.patch
Patch13: 0013-Support-ifn-def-in-.if-files.patch

BuildRequires: autoconf autoconf-archive automake bison check check-devel flex gcc help2man libconfuse libconfuse-devel uthash-devel
# pkgconfig
Requires: libconfuse
%if 0%{?fedora} || 0%{?rhel} >= 8
Requires: check
%endif

%description
SELint is a program to perform static code analysis on SELinux policy source
files. SELint seeks to help policy developers write policy that is more
maintainable, readable and secure, and to reduce the time spent debugging
challenging policy issues.

%prep
%setup -q -n %{name}-%{version}
%autosetup -p 1


%build
# autogen.sh
autoreconf -fiv -Wall -Wno-portability
%if 0%{?rhel} == 7
%{configure} --without-check
%else
%{configure}
%endif

%{make_build}

%install
%{make_install}

%check

%files
%license LICENSE
%doc CHANGELOG README
%{_bindir}/selint
%config(noreplace) %{_sysconfdir}/selint.conf
%{_mandir}/man1/selint.1.gz
%license LICENSE

%changelog
* Mon Dec 19 2022 Vit Mojzis <vmojzis@redhat.com> - 1.3.0-1
- v 1.3.0
- Support ifn?def in .if files

* Fri Sep 02 2022 Vit Mojzis <vmojzis@redhat.com> - 1.2.1-3
- v 1.2.1

* Tue Sep 22 2020 Vit Mojzis <vmojzis@redhat.com> - 1.1.0-1
- First build
